Name:           openshot
Version:        1.1.3
Release:        %mkrel 6
Summary:        GNOME Non-linear video editor 

Group:          Video
License:        GPLv3+
URL:            http://www.openshotvideo.com/

Source0:        http://launchpad.net/openshot/1.0/1.1.0/+download/openshot-%{version}.tar.gz
Patch0:		default_window_size_is_too_big.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch

#BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: python-devel

Requires:      python-mlt
Requires:      pygoocanvas
Requires:      pygtk2 pygtk2.0-libglade

%description
OpenShot Video Editor is a free, open-source, non-linear video editor, based on
Python, GTK, and MLT. It can edit video and audio files, composite and 
transition video files, and mix multiple layers of video and audio together and 
render the output in many different formats.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT 

# Remove unnecessary file
%{__rm} %{buildroot}/%{_usr}/lib/mime/packages/openshot

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}/%{python_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done


desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# modify find-lang.sh to deal with gettext .mo files under
# openshot/locale
%{__sed} -e 's|/share/locale/|/%{name}/locale/|' \
 /usr/lib/rpm/find-lang.sh \
 > find-lang-modified.sh

sh find-lang-modified.sh %{buildroot} OpenShot %{name}.lang
find %{buildroot}%{python_sitelib}/%{name}/locale -type d | while read dir
do
 echo "%%dir ${dir#%{buildroot}}" >> %{name}.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{python_sitelib}/%{name}/*.py*
%{python_sitelib}/%{name}/classes/
%{python_sitelib}/%{name}/effects/
%{python_sitelib}/%{name}/export_presets
%{python_sitelib}/%{name}/images
%{python_sitelib}/%{name}/language
%{python_sitelib}/%{name}/locale
%{python_sitelib}/%{name}/profiles
%{python_sitelib}/%{name}/themes
%{python_sitelib}/%{name}/titles
%{python_sitelib}/%{name}/transitions
%{python_sitelib}/%{name}/windows
%{python_sitelib}/*egg-info
%{_mandir}/man*/* 




%changelog
* Fri Jun 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.3-6mdv2010.0
+ Revision: 547865
- add missing requires

* Mon Jun 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-5mdv2010.1
+ Revision: 547196
- Re-introduce our patch to have the main window in a reasonable size, fixes bug #59251

* Fri Apr 16 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-4mdv2010.1
+ Revision: 535421
- Removing patch, upstream cairo has been fixed

* Wed Apr 14 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-2mdv2010.1
+ Revision: 534892
- Add patch to fix segfault in openshot, should fix #57815

* Tue Apr 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-1mdv2010.1
+ Revision: 534182
- New version 1.1.3

* Tue Apr 06 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 532061
- Update to 1.1.2, pygoocanvas still needs to be fixed

* Wed Mar 17 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 523549
- Update to 1.1.1

* Mon Mar 08 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 516023
- Update to 1.1.0 final

* Tue Feb 23 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-0.alpha2mdv2010.1
+ Revision: 510350
- Alpha2 release

* Tue Feb 16 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-0.alpha1mdv2010.1
+ Revision: 506692
- New upstream release
- Some cleanup needed in the spec file

  + Pascal Terjan <pterjan@mandriva.org>
    - test

* Wed Jan 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 490838
- Update Requires for the upcoming python-melt package

* Tue Jan 12 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 490320
- Update lib dir for mime defintions
- Enumerate explicitly subdirs to the warning concerning the duplication of locale files
- Remove explicit python macro
- import openshot


* Tue Jan 12 2010 Stephane Teletchea <steletch@mandriva.org> 1.0.0-1mdv2010.1
- Initial Mandriva release, imported from the fedora rpm

* Tue Jan 12 2010 Zarko <zarko.pintar@gmail.com> - 1.0.0-1
- Release 1.0.0

* Thu Dec 04 2009 Zarko <zarko.pintar@gmail.com> - 0.9.54-1
- initial release
